ajout de l'exclusion des dépendances squeeze et suppression de restkit (savoir en...
authorPatrick Hetu <patrick.hetu@auf.org>
Tue, 4 Nov 2014 21:21:27 +0000 (16:21 -0500)
committerPatrick Hetu <patrick.hetu@auf.org>
Tue, 4 Nov 2014 21:21:27 +0000 (16:21 -0500)
Makefile
requirements/django_auf_common.txt
requirements/django_auf_dev.txt [deleted file]
seeds/django_auf_common.txt
seeds/django_auf_dev.txt
seeds/squeeze.txt

index f30da96..ae1523f 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -1,11 +1,12 @@
 PIP_OPTIONS := --extra-index-url=https://pypi.auf.org/
+FREEZE_OPTIONS := --exclude django --exclude-requirements seeds/squeeze.txt
 TARGET := django_auf django_auf_common django_auf_dev #django_14 squeeze wheezy
 
 all: $(TARGET)
 
 requirements/%.txt: seeds/%.txt
        mkdir -p requirements/
-       freeze-requirements freeze $< -m $@ --exclude django --exclude-requirements seeds/squeeze.txt
+       freeze-requirements freeze $< -m $@ $(FREEZE_OPTIONS)
 
 sdk/%: requirements/%.txt
        pip install -r $< -t $@ $(PIP_OPTIONS) --no-deps
index f916670..7245e02 100644 (file)
@@ -7,7 +7,6 @@ beautifulsoup==3.2.1
 bleach==1.4
 caldav==0.2.1
 chardet==2.3.0
-coverage==3.7.1
 cssselect==0.9.1
 diff-match-patch==20121119
 django-admin-tools==0.5.2
@@ -62,16 +61,12 @@ docutils==0.12
 feedparser==5.1.3
 html2text==2014.9.25
 html5lib==0.999
-http-parser==0.8.3
 jinja2==2.7.3
 lepl==5.1.3
 markdown2==2.3.0
-markupsafe==0.23
 nose==1.3.4
 ordereddict==1.1
-pillow==2.6.1
 polib==1.0.4
-psutil==2.1.3
 pygal==1.5.1
 pygments==1.6
 python-dateutil==2.2
@@ -79,13 +74,11 @@ pytz==2014.9
 raven==5.1.1
 redis==2.10.3
 requests==2.4.3
-restkit==4.2.2
 rfc6266==0.0.4
 rq==0.4.6
 rq-scheduler==0.5.0
 setuptools==7.0
 six==1.8.0
-socketpool==0.5.3
 sorl-thumbnail==11.12
 south==1.0.1
 sphinx==1.2.3
diff --git a/requirements/django_auf_dev.txt b/requirements/django_auf_dev.txt
deleted file mode 100644 (file)
index 47e307d..0000000
+++ /dev/null
@@ -1,32 +0,0 @@
-# This file has been automatically generated, DO NOT EDIT!
-
-# Frozen requirements for "seeds/django_auf_dev.txt"
-
-astroid==1.2.1
-beautifulsoup4==4.3.2
-behave==1.2.4
-coverage==3.7.1
-django-autofixture==0.9.1
-django-behave==0.1.2
-django-debug-toolbar==0.9.4
-django-discover-runner==1.0
-django-jenkins==0.16.3
-django-nose==1.2
-django-webtest==1.7.7
-enum34==1.0.3
-factory-boy==2.4.1
-logilab-common==0.62.1
-mock==1.0.1
-nose==1.3.4
-parse==1.6.5
-parse-type==0.3.4
-pep8==1.5.7
-pyflakes==0.8.1
-pylint==1.3.1
-selenium==2.44.0
-setuptools==7.0
-six==1.8.0
-waitress==0.8.9
-webob==1.4
-webtest==2.0.16
-
index 8525243..dd14c3b 100644 (file)
@@ -102,7 +102,6 @@ reportlab
 sqlparse
 rfc6266
 pygraphviz
-restkit
 markdown2
 PyYAML
 pytz
index ce5ebdc..f62d8b7 100644 (file)
@@ -1,4 +1,4 @@
-django-debug-toolbar==0.9.4
+django-debug-toolbar
 webtest
 mock
 django-webtest
index 70d8927..bff6fb5 100644 (file)
@@ -1,14 +1,21 @@
+pil==1.1.7
+pillow==1.1.7
+
+mysqldb==1.2.2
+psycopg2==2.2.1
+python-memcached==1.45
+
 pycairo==1.8.8
 egenix-mxdatetime==3.1.3
 egenix-mxtools==3.1.3
-pil==1.1.7
 lxml==2.2.8
 mapnik2==2.0.0
-python-memcached==1.45
-mysqldb==1.2.2
-psycopg2==2.2.1
 pygraphviz==1.0
 reportlab==2.4
 simplejson==2.1.1
 pyyaml==3.09
-# python-dateutil==1.4.1
+
+dateutil==1.4.1
+psutil==0.1.3
+coverage==2.85
+markupsafe==0.9.2